# SendStickerByFileId - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.send.media / SendStickerByFileId

# SendStickerByFileId

(common) `data class SendStickerByFileId : SendMessageRequest<ContentMessage<StickerContent>>, ReplyingMarkupSendMessageRequest<ContentMessage<StickerContent>>` (source)

### Properties

(common)

#### chatId

`val chatId: ChatIdentifier`

(common)

#### disableNotification

`val disableNotification: Boolean`

(common)

#### replyMarkup

`val replyMarkup: KeyboardMarkup?`

(common)

#### replyToMessageId

`val replyToMessageId: MessageIdentifier?`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`

(common)

#### resultDeserializer

`val resultDeserializer: DeserializationStrategy<ContentMessage<StickerContent>>`

(common)

#### sticker

`val sticker: FileId?`

### Functions

(common)

#### method

`fun method(): String`